Class | Bio::DDBJ::REST::WABItemplate
In: | lib/bio/io/ddbjrest.rb
Parent: | Object

Bio::DDBJ::REST::WABItemplate is a private class to provide common methods to access DDBJ Web API for Biology (WABI) services by using REST protocol.

Normal users should not use the class directly.

### Methods

new

### Constants

WABI_HOST | = | 'xml.nig.ac.jp' |  | hostname for the WABI service
WABI_PATH | = | '/rest/Invoke' |  | path for the WABI service

### Public Class methods

new()

Creates a new object.

[Source]

        # File lib/bio/io/ddbjrest.rb, line 77
    77:       def initialize
    78:         @http = Bio::Command.new_http(WABI_HOST)
    79:         @service = self.class.to_s.split(/\:\:/)[-1]
    80:       end

[Validate]